%define name		drakcowsay
%define version	0.6
%define release		4%{_my_ext}

Summary:		Graphical interface for cowsay in xchat or irssi
Name:			%{name}
Version:			%{version}
Release:			%{release}
Source0:			%{name}-%{version}.tar.bz2
License:			GPL
Group:			Toys
Url:				http://peoples.mandrakesoft.com/~blino/drakcowsay/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	xchat-devel
Requires:		drakxtools cowsay
Vendor:			%{vendor}
Distribution:		%{distribution}
Packager:		%{packager}

%description
%{name} is a graphical interface for cowsay.
Its target audience is those not yet familiar with the tough command line,
thus making cowsay rendering as easy as if you were a true l33t.

%package -n xchat-%{name}
Group: System/Libraries
Summary: xchat plugin for %{name}
Requires: xchat

%description -n xchat-%{name}
xchat-%{name} is a plugin for xchat to cowsay in your current IRC window.

%package -n irssi-%{name}
Group: System/Libraries
Summary: irssi plugin for %{name}
Requires: irssi

%description -n irssi-%{name}
irssi-%{name} is a plugin for irssi to cowsay in your current IRC window.

%prep
%setup -q

%build
gcc -Wl,--export-dynamic -Wall -O1 -shared -fPIC -I. xchat-%{name}.c -o xchat-%{name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -m755 -D %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m755 -D xchat-%{name}.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/xchat-%{name}.so
install -m755 -D irssi-%{name}.pl $RPM_BUILD_ROOT%{_datadir}/irssi/scripts/irssi-%{name}.pl

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc README

%files -n xchat-%{name}
%defattr(-,root,root)
%{_libdir}/xchat/plugins/xchat-%{name}.so

%files -n irssi-%{name}
%defattr(-,root,root)
%{_datadir}/irssi/scripts/irssi-%{name}.pl

%changelog
* Sun Dec 19 2004  Scott Grayban <sgrayban@borgnet.us> 0.6-4bng
 - rebuild for right extension

* Tue Dec 14 2004 Scott Grayban <sgrayban@borgnet.us> 0.6-3bgn
 - Added better instructions on use of the plugin since that is missing.
 - Build requires xchat-devel again

* Wed Oct 27 2004 Olivier Blin <blino@mandrake.org> 0.6-1mdk
- new release 0.6 :
  o parental advisory option (obscene cows are hidden by default)
  o read from stdin with '-' option

* Fri Aug 13 2004 Olivier Blin <blino@mandrake.org> 0.5-1mdk
- new release 0.5 :
  o remove ads in irc plugins
  o read initial input from command line or stdin

* Tue Jul 27 2004 Olivier Blin <blino@mandrake.org> 0.4-1mdk
- new release 0.4 (l33t edition):
  o irssi plugin

* Tue Jul 27 2004 Olivier Blin <blino@mandrake.org> 0.3-1mdk
- new release 0.3 (irc edition):
  o send to irc button
  o xchat plugin
  o word-wrap can be toggled
- redde rafaela quae sunt rafaela (fix changelog)

* Tue Jul 20 2004 Olivier Blin <blino@mandrake.org> 0.2-1mdk
- new release 0.2:
  o use scrollbars and resize TextViews
  o sort cows, quit button (rafael)
  o quit button (rafael)
  o misc fixes (rafael)
- requires cowsay (anne)

* Mon Jul 19 2004 Olivier Blin <blino@mandrake.org> 0.1-1mdk
- initial Mandrakelinux release
